=== debian/changelog ===
ros-humble-novatel-oem7-driver (20.1.0-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- NovAtel Support <support.novatel@hexagon.com>  Mon, 24 Apr 2023 16:58:29 -0000

ros-humble-novatel-oem7-driver (20.0.0-1jammy) jammy; urgency=high

  Formal support for Humble; functionality updated to that of ROS1 v4.2.0
  Features:
  * BESTGNSSPOS, PPPPOS, TERRASTARINFO, TERRASTARSTATUS Oem7 Messages
  * imu/data_raw output, source from RAWIMUSX and scaled
  * HG4930_AN04, HG4930_AN04_400Hz IMUs
  * Odometry Angular velocities
  * Optionally, publish Odometry Transform
  * Optionally, use first valid GPSFix as Odometry Pose origin
  Fixes:
  * Rotate Odometry Twist covariances into local frame

 -- NovAtel Support <support.novatel@hexagon.com>  Tue, 18 Apr 2023 07:00:00 -0000

ros-humble-novatel-oem7-driver (10.5.0-1jammy) jammy; urgency=high

  Misc ROS2 fixes

 -- NovAtel Support <support.novatel@hexagon.com>  Fri, 12 Nov 2021 08:00:00 -0000

ros-humble-novatel-oem7-driver (10.0.0-1jammy) jammy; urgency=high

  Initial Support for ROS2/Foxy

 -- NovAtel Support <support.novatel@hexagon.com>  Tue, 31 Aug 2021 07:00:00 -0000

ros-humble-novatel-oem7-driver (2.2.0-1jammy) jammy; urgency=high

  * No feature changes
  * More robust support for compillation for 32 vs. 64 bit targets

 -- NovAtel Support <support.novatel@hexagon.com>  Wed, 03 Feb 2021 08:00:00 -0000

ros-humble-novatel-oem7-driver (2.1.0-1jammy) jammy; urgency=high

  * Support for ARM builds: arm32v7, arm64v8 (#1 <https://github.com/novatel/novatel_oem7_driver/issues/1>)
  * Initialization command mechanism robustness improvements

 -- NovAtel Support <support.novatel@hexagon.com>  Thu, 28 Jan 2021 08:00:00 -0000

ros-humble-novatel-oem7-driver (2.0.0-1jammy) jammy; urgency=high

  * Support logging 'unknown' OEM7 messages under Oem7Raw topic
  * Populate gps_common/GPSStatus.status with more detailed status info
  * Source gps_common/GPSFix, gps_common/NavSatFix position data from the most recent and higher quality
    INSPVAS or BESTPOS/BESTVEL messsage.Previously, position data was always sourced from BESTPOS/BESTVEL, which is transmitted
    at lower rate than INSPVAS
    (#13 <https://github.com/novatel/novatel_oem7_driver/issues/13>)
  * Support nmea_msgs/Sentence for all OEM7 NMEA0183 messages (#4 <https://github.com/novatel/novatel_oem7_driver/issues/4>)
  * Support nav_msgs/Odometry, with position and orientation populated based on BESTPOS/BESTVEL/INSPVAS
    (#8 <https://github.com/novatel/novatel_oem7_driver/issues/8>)

 -- NovAtel Support <support.novatel@hexagon.com>  Fri, 18 Dec 2020 08:00:00 -0000

ros-humble-novatel-oem7-driver (1.1.0-1jammy) jammy; urgency=high

  * No feature changesBuild fixes and documentation improvements.

 -- NovAtel Support <support.novatel@hexagon.com>  Sat, 02 May 2020 07:00:00 -0000

ros-humble-novatel-oem7-driver (1.0.0-1jammy) jammy; urgency=high

  * Initial release

 -- NovAtel Support <support.novatel@hexagon.com>  Mon, 20 Apr 2020 07:00:00 -0000
