=== debian/control ===
Source: ros-humble-novatel-oem7-driver
Section: misc
Priority: optional
Maintainer: NovAtel Support <support.novatel@hexagon.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgeographic-dev, ros-humble-ament-cmake, ros-humble-gps-msgs, ros-humble-launch-testing <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-launch-testing-ros <!nocheck>, ros-humble-nav-msgs, ros-humble-nmea-msgs, ros-humble-novatel-oem7-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclpy <!nocheck>, ros-humble-rosbag2 <!nocheck>, ros-humble-rosidl-runtime-py <!nocheck>, ros-humble-sensor-msgs, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Homepage: http://www.novatel.com
Standards-Version: 3.9.2

Package: ros-humble-novatel-oem7-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libgeographic-dev, ros-humble-gps-msgs, ros-humble-nav-msgs, ros-humble-nmea-msgs, ros-humble-novatel-oem7-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Description: NovAtel Oem7 ROS Driver
